Hooks:PostHook(WeaponFactoryTweakData, "init", "KPSR2SightInit", function(self)
local custom_sight_id = "wpn_fps_upg_o_kpsr2"
local base_sight_id = "wpn_fps_upg_o_specter"
-- Data tables
local wpn_adds = {"wpn_fps_ass_amcar","wpn_fps_ass_74","wpn_fps_ass_akm","wpn_fps_ass_akm_gold","wpn_fps_shot_r870","wpn_fps_shot_serbu","wpn_fps_smg_akmsu","wpn_fps_ass_ak5","wpn_fps_smg_mp5","wpn_fps_smg_mac10","wpn_fps_smg_m45","wpn_fps_ass_scar","wpn_fps_pis_rage","wpn_fps_pis_deagle","wpn_fps_smg_scorpion","wpn_fps_smg_tec9","wpn_fps_smg_uzi","wpn_fps_pis_judge","wpn_fps_ass_g3","wpn_fps_ass_galil","wpn_fps_ass_famas","wpn_fps_sho_spas12","wpn_fps_smg_sterling","wpn_fps_snp_mosin","wpn_fps_smg_thompson","wpn_fps_rpg7","wpn_fps_sho_aa12","wpn_fps_snp_model70","wpn_fps_smg_sr2","wpn_fps_smg_cobray","wpn_fps_ass_asval","wpn_fps_ass_sub2000","wpn_fps_snp_siltstone","wpn_fps_smg_coal","wpn_fps_ass_ching","wpn_fps_smg_erma","wpn_fps_gre_slap","wpn_fps_bow_elastic"}
local wpn_override = {"wpn_fps_pis_deagle","wpn_fps_sho_ksg","wpn_fps_ass_sub2000"}
local part_override = {"wpn_upg_ak_fg_standard","wpn_upg_ak_fg_standard_gold","wpn_fps_smg_akmsu_fg_standard","wpn_upg_saiga_fg_standard","wpn_fps_ass_galil_fg_fab","wpn_fps_ass_galil_fg_mar","wpn_fps_upg_ak_fg_krebs","wpn_fps_upg_ak_fg_trax","wpn_fps_upg_ak_fg_zenit","wpn_fps_upg_o_ak_scopemount","wpn_fps_upg_o_m14_scopemount"}
local part_forbids = {"wpn_fps_pis_rage_lock","wpn_fps_pis_deagle_lock","wpn_fps_shot_r870_s_folding","wpn_fps_sho_s_spas12_folded"}
for _, wpn_id in pairs(wpn_adds) do
	if self[wpn_id].adds[base_sight_id] then
		self[wpn_id].adds[custom_sight_id] = deep_clone(self[wpn_id].adds[base_sight_id])
	end
end
for _, wpn_id in pairs(wpn_override) do
	if self[wpn_id].override[base_sight_id] then
		self[wpn_id].override[custom_sight_id] = deep_clone(self[wpn_id].override[base_sight_id])
	end
end
for _, part_id in pairs(part_override) do
	if self.parts[part_id].override[base_sight_id] then
		self.parts[part_id].override[custom_sight_id] = deep_clone(self.parts[part_id].override[base_sight_id])
	end
end
for _, part_id in pairs(part_forbids) do
	if self.parts[part_id].forbids then
		table.insert(self.parts[part_id].forbids, custom_sight_id)
	end
end
end)